[1.1.4] Java9+: IDE: Warnings illegal reflective access operation --- have to be accepted for now, not a problem

Bug #1749262 reported by George Shields on 2018-02-13
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Sikuli
Medium
RaiMan

Bug Description

------------------------- comment
this kind of warnings have to be accepted - they cannot be switched off.
earliest with Java 11 or even later, it might get a problem.
I will only fix things, that prevent THE USE of SikuliX with Java 11+.

These warnings do not prevent the usage of SikuliX.
----------------------------------------------------------

on Mac:
-------------------------
running SikuliX: ./SikuliX.app/Contents/Java/sikulix.jar
[error] RunTimeINIT: ***** BE AWARE: Running on Java 9 - Please report problems *****
[info] HotkeyManager: add Capture Hotkey: ⌘+⇧ 2 (50, 5)
[info] HotkeyManager: add Abort Hotkey: ⌘+⇧ C (67, 5)
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.sikuli.ide.CloseableModernTabbedPaneUI (file:/Users/xx/sikulix/SikuliX.app/Contents/Java/sikulix.jar) to constructor javax.swing.plaf.basic.BasicTabbedPaneUI$Actions(java.lang.String)
WARNING: Please consider reporting this to the maintainers of org.sikuli.ide.CloseableModernTabbedPaneUI
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release

on Windows:
-----------------------------------
[error] RunTimeINIT: ***** BE AWARE: Running on Java 9 - Please report
problems *****
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.sikuli.script.RunTime
(file:/E:/p-tools/sikulix/sikulix.jar) to field
java.lang.ClassLoader.usr_paths
WARNING: Please consider reporting this to the maintainers of
org.sikuli.script.RunTime
WARNING: Use --illegal-access=warn to enable warnings of further illegal
reflective access operations
WARNING: All illegal access operations will be denied in a future release

Thanks for reporting.

summary: - java 9
+ [1.1.2] Java9: Jython warning at startup --- must be accepted
summary: - [1.1.2] Java9: Jython warning at startup --- must be accepted
+ [1.1.2] Java9: IDE: illegal access operation in
+ org.sikuli.ide.CloseableModernTabbedPaneUI
Changed in sikuli:
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → RaiMan (raimund-hocke)
milestone: none → 1.1.2
RaiMan (raimund-hocke) on 2018-02-14
Changed in sikuli:
status: In Progress → Opinion
importance: Medium → Undecided
RaiMan (raimund-hocke) wrote :

I just tried to reproduce the problem - no success.

-- 1.
running SikuliX: ./SikuliX.app/Contents/Java/sikulix.jar
does not work for me.

--2. running this:
java -jar SikuliX.app/Contents/Java/sikulix.jar

I get:
[error] RunTimeINIT: ***** BE AWARE: Running on Java 9 - Please report problems *****
[info] HotkeyManager: add Capture Hotkey: ⌘+⇧ 2 (50, 5)
[info] HotkeyManager: add Abort Hotkey: ⌘+⇧ C (67, 5)
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.python.core.PySystemState (file:/Users/raimundhocke/Library/Application%20Support/Sikulix/SikulixSetup/SikuliX.app/Contents/Java/sikulix.jar) to method java.io.Console.encoding()
WARNING: Please consider reporting this to the maintainers of org.python.core.PySystemState
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release

... which is the known Jython problem.

--conclusion:
please report your environment and what exactly you did.

I am testing on macOS 10.13.3 with Java JDK 9.0.1 either from within IntelliJ IDEA or from command line (Terminal)

The newest OS X High Sierra operating system with the latest Java 9

On Feb 14, 2018 8:41 AM, "RaiMan" <email address hidden> wrote:

> I just tried to reproduce the problem - no success.
>
> -- 1.
> running SikuliX: ./SikuliX.app/Contents/Java/sikulix.jar
> does not work for me.
>
> --2. running this:
> java -jar SikuliX.app/Contents/Java/sikulix.jar
>
> I get:
> [error] RunTimeINIT: ***** BE AWARE: Running on Java 9 - Please report
> problems *****
> [info] HotkeyManager: add Capture Hotkey: ⌘+⇧ 2 (50, 5)
> [info] HotkeyManager: add Abort Hotkey: ⌘+⇧ C (67, 5)
> WARNING: An illegal reflective access operation has occurred
> WARNING: Illegal reflective access by org.python.core.PySystemState
> (file:/Users/raimundhocke/Library/Application%20Support/
> Sikulix/SikulixSetup/SikuliX.app/Contents/Java/sikulix.jar) to method
> java.io.Console.encoding()
> WARNING: Please consider reporting this to the maintainers of
> org.python.core.PySystemState
> WARNING: Use --illegal-access=warn to enable warnings of further illegal
> reflective access operations
> WARNING: All illegal access operations will be denied in a future release
>
> ... which is the known Jython problem.
>
> --conclusion:
> please report your environment and what exactly you did.
>
> I am testing on macOS 10.13.3 with Java JDK 9.0.1 either from within
> IntelliJ IDEA or from command line (Terminal)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1749262
>
> Title:
> [1.1.2] Java9: IDE: illegal access operation in
> org.sikuli.ide.CloseableModernTabbedPaneUI
>
> Status in Sikuli:
> Opinion
>
> Bug description:
> running SikuliX: ./SikuliX.app/Contents/Java/sikulix.jar
> [error] RunTimeINIT: ***** BE AWARE: Running on Java 9 - Please report
> problems *****
> [info] HotkeyManager: add Capture Hotkey: ⌘+⇧ 2 (50, 5)
> [info] HotkeyManager: add Abort Hotkey: ⌘+⇧ C (67, 5)
> WARNING: An illegal reflective access operation has occurred
> WARNING: Illegal reflective access by org.sikuli.ide.CloseableModernTabbedPaneUI
> (file:/Users/xx/sikulix/SikuliX.app/Contents/Java/sikulix.jar) to
> constructor javax.swing.plaf.basic.BasicTabbedPaneUI$Actions(
> java.lang.String)
>
> WARNING: Please consider reporting this to the maintainers of
> org.sikuli.ide.CloseableModernTabbedPaneUI
> WARNING: Use --illegal-access=warn to enable warnings of further illegal
> reflective access operations
> WARNING: All illegal access operations will be denied in a future release
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/sikuli/+bug/1749262/+subscriptions
>

George Shields (gherbs) wrote :
Download full text (4.1 KiB)

further details on Environment:
java version "9.0.4"
Java(TM) SE Runtime Environment (build 9.0.4+11)
Java HotSpot(TM) 64-Bit Server VM (build 9.0.4+11, mixed mode)

System Version: macOS 10.13.3 (17D47)
Kernel Version: Darwin 17.4.0
iMac (Retina 5K, 27-inch, Late 2015)
4 GHz Intel Core i7
32 GB 1867 MHz DDR3
AMD Radeon R9 M390 2 GB

running SikuliX IDE with jython
............
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.python.core.PySystemState
(file:/Applications/SikuliX.app/Contents/Java/sikulix.jar) to method
java.io.Console.encoding()
WARNING: Please consider reporting this to the maintainers of
org.python.core.PySystemState
WARNING: Use --illegal-access=warn to enable warnings of further illegal
reflective access operations
WARNING: All illegal access operations will be denied in a future release

with jruby
......................
WARNING: Illegal reflective access by
org.sikuli.ide.CloseableModernTabbedPaneUI
(file:/Users/georgeshields/pasco-software/p-tools/sikulix/SikuliX.app/Contents/Java/sikulix.jar)
to constructor
javax.swing.plaf.basic.BasicTabbedPaneUI$Actions(java.lang.String)
WARNING: Please consider reporting this to the maintainers of
org.sikuli.ide.CloseableModernTabbedPaneUI
WARNING: Use --illegal-access=warn to enable warnings of further illegal
reflective access operations

On Wed, Feb 14, 2018 at 8:41 AM, G Shields <email address hidden> wrote:

> The newest OS X High Sierra operating system with the latest Java 9
>
> On Feb 14, 2018 8:41 AM, "RaiMan" <email address hidden> wrote:
>
>> I just tried to reproduce the problem - no success.
>>
>> -- 1.
>> running SikuliX: ./SikuliX.app/Contents/Java/sikulix.jar
>> does not work for me.
>>
>> --2. running this:
>> java -jar SikuliX.app/Contents/Java/sikulix.jar
>>
>> I get:
>> [error] RunTimeINIT: ***** BE AWARE: Running on Java 9 - Please report
>> problems *****
>> [info] HotkeyManager: add Capture Hotkey: ⌘+⇧ 2 (50, 5)
>> [info] HotkeyManager: add Abort Hotkey: ⌘+⇧ C (67, 5)
>> WARNING: An illegal reflective access operation has occurred
>> WARNING: Illegal reflective access by org.python.core.PySystemState
>> (file:/Users/raimundhocke/Library/Application%20Support/Siku
>> lix/SikulixSetup/SikuliX.app/Contents/Java/sikulix.jar) to method
>> java.io.Console.encoding()
>> WARNING: Please consider reporting this to the maintainers of
>> org.python.core.PySystemState
>> WARNING: Use --illegal-access=warn to enable warnings of further illegal
>> reflective access operations
>> WARNING: All illegal access operations will be denied in a future release
>>
>> ... which is the known Jython problem.
>>
>> --conclusion:
>> please report your environment and what exactly you did.
>>
>> I am testing on macOS 10.13.3 with Java JDK 9.0.1 either from within
>> IntelliJ IDEA or from command line (Terminal)
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1749262
>>
>> Title:
>> [1.1.2] Java9: IDE: illegal access operation in
>> org.sikuli.ide.CloseableModernTabbedPaneUI
>>
>> Status in Sikuli:
>> Opinion
>>
>> Bug description:
>> running S...

Read more...

George Shields (gherbs) wrote :
Download full text (5.3 KiB)

WINDOW 10 with SikuliX IDE :
java 9.0.4
Java(TM) SE Runtime Environment (build 9.0.4+11)
Java HotSpot(TM) 64-Bit Server VM (build 9.0.4+11, mixed mode)

Microsoft Windows [Version 10.0.16299.248]

+++ running this Java
java version "9.0.4"
Java(TM) SE Runtime Environment (build 9.0.4+11)
Java HotSpot(TM) 64-Bit Server VM (build 9.0.4+11, mixed mode)
+++ trying to run SikuliX
+++ using: -Xms64M -Xmx512M -Dfile.encoding=UTF-8 -Dsikuli.FromCommandLine
-jar E:\p-tools\sikulix\sikulix.jar
[error] RunTimeINIT: ***** BE AWARE: Running on Java 9 - Please report
problems *****
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.sikuli.script.RunTime
(file:/E:/p-tools/sikulix/sikulix.jar) to field
java.lang.ClassLoader.usr_paths
WARNING: Please consider reporting this to the maintainers of
org.sikuli.script.RunTime
WARNING: Use --illegal-access=warn to enable warnings of further illegal
reflective access operations
WARNING: All illegal access operations will be denied in a future release

On Wed, Feb 14, 2018 at 9:42 AM, G Shields <email address hidden> wrote:

> further details on Environment:
> java version "9.0.4"
> Java(TM) SE Runtime Environment (build 9.0.4+11)
> Java HotSpot(TM) 64-Bit Server VM (build 9.0.4+11, mixed mode)
>
> System Version: macOS 10.13.3 (17D47)
> Kernel Version: Darwin 17.4.0
> iMac (Retina 5K, 27-inch, Late 2015)
> 4 GHz Intel Core i7
> 32 GB 1867 MHz DDR3
> AMD Radeon R9 M390 2 GB
>
> running SikuliX IDE with jython
> ............
> WARNING: An illegal reflective access operation has occurred
> WARNING: Illegal reflective access by org.python.core.PySystemState
> (file:/Applications/SikuliX.app/Contents/Java/sikulix.jar) to method
> java.io.Console.encoding()
> WARNING: Please consider reporting this to the maintainers of
> org.python.core.PySystemState
> WARNING: Use --illegal-access=warn to enable warnings of further illegal
> reflective access operations
> WARNING: All illegal access operations will be denied in a future release
>
> with jruby
> ......................
> WARNING: Illegal reflective access by org.sikuli.ide.CloseableModernTabbedPaneUI
> (file:/Users/georgeshields/pasco-software/p-tools/
> sikulix/SikuliX.app/Contents/Java/sikulix.jar) to constructor
> javax.swing.plaf.basic.BasicTabbedPaneUI$Actions(java.lang.String)
> WARNING: Please consider reporting this to the maintainers of
> org.sikuli.ide.CloseableModernTabbedPaneUI
> WARNING: Use --illegal-access=warn to enable warnings of further illegal
> reflective access operations
>
> On Wed, Feb 14, 2018 at 8:41 AM, G Shields <email address hidden> wrote:
>
>> The newest OS X High Sierra operating system with the latest Java 9
>>
>> On Feb 14, 2018 8:41 AM, "RaiMan" <email address hidden> wrote:
>>
>>> I just tried to reproduce the problem - no success.
>>>
>>> -- 1.
>>> running SikuliX: ./SikuliX.app/Contents/Java/sikulix.jar
>>> does not work for me.
>>>
>>> --2. running this:
>>> java -jar SikuliX.app/Contents/Java/sikulix.jar
>>>
>>> I get:
>>> [error] RunTimeINIT: ***** BE AWARE: Running on Java 9 - Please report
>>> problems *****
>>> [info] HotkeyManager: add Capture Hotkey: ⌘+⇧ 2 (50, 5)
>>> [info] H...

Read more...

RaiMan (raimund-hocke) wrote :
Download full text (7.0 KiB)

Thanks. Confirmed: see the bug.

> Am 14.02.2018 um 20:45 schrieb George Shields <email address hidden>:
>
> WINDOW 10 with SikuliX IDE :
> java 9.0.4
> Java(TM) SE Runtime Environment (build 9.0.4+11)
> Java HotSpot(TM) 64-Bit Server VM (build 9.0.4+11, mixed mode)
>
> Microsoft Windows [Version 10.0.16299.248]
>
> +++ running this Java
> java version "9.0.4"
> Java(TM) SE Runtime Environment (build 9.0.4+11)
> Java HotSpot(TM) 64-Bit Server VM (build 9.0.4+11, mixed mode)
> +++ trying to run SikuliX
> +++ using: -Xms64M -Xmx512M -Dfile.encoding=UTF-8 -Dsikuli.FromCommandLine
> -jar E:\p-tools\sikulix\sikulix.jar
> [error] RunTimeINIT: ***** BE AWARE: Running on Java 9 - Please report
> problems *****
> WARNING: An illegal reflective access operation has occurred
> WARNING: Illegal reflective access by org.sikuli.script.RunTime
> (file:/E:/p-tools/sikulix/sikulix.jar) to field
> java.lang.ClassLoader.usr_paths
> WARNING: Please consider reporting this to the maintainers of
> org.sikuli.script.RunTime
> WARNING: Use --illegal-access=warn to enable warnings of further illegal
> reflective access operations
> WARNING: All illegal access operations will be denied in a future release
>
> On Wed, Feb 14, 2018 at 9:42 AM, G Shields <email address hidden> wrote:
>
>> further details on Environment:
>> java version "9.0.4"
>> Java(TM) SE Runtime Environment (build 9.0.4+11)
>> Java HotSpot(TM) 64-Bit Server VM (build 9.0.4+11, mixed mode)
>>
>> System Version: macOS 10.13.3 (17D47)
>> Kernel Version: Darwin 17.4.0
>> iMac (Retina 5K, 27-inch, Late 2015)
>> 4 GHz Intel Core i7
>> 32 GB 1867 MHz DDR3
>> AMD Radeon R9 M390 2 GB
>>
>> running SikuliX IDE with jython
>> ............
>> WARNING: An illegal reflective access operation has occurred
>> WARNING: Illegal reflective access by org.python.core.PySystemState
>> (file:/Applications/SikuliX.app/Contents/Java/sikulix.jar) to method
>> java.io.Console.encoding()
>> WARNING: Please consider reporting this to the maintainers of
>> org.python.core.PySystemState
>> WARNING: Use --illegal-access=warn to enable warnings of further illegal
>> reflective access operations
>> WARNING: All illegal access operations will be denied in a future release
>>
>> with jruby
>> ......................
>> WARNING: Illegal reflective access by org.sikuli.ide.CloseableModernTabbedPaneUI
>> (file:/Users/georgeshields/pasco-software/p-tools/
>> sikulix/SikuliX.app/Contents/Java/sikulix.jar) to constructor
>> javax.swing.plaf.basic.BasicTabbedPaneUI$Actions(java.lang.String)
>> WARNING: Please consider reporting this to the maintainers of
>> org.sikuli.ide.CloseableModernTabbedPaneUI
>> WARNING: Use --illegal-access=warn to enable warnings of further illegal
>> reflective access operations
>>
>> On Wed, Feb 14, 2018 at 8:41 AM, G Shields <email address hidden> wrote:
>>
>>> The newest OS X High Sierra operating system with the latest Java 9
>>>
>>> On Feb 14, 2018 8:41 AM, "RaiMan" <email address hidden> wrote:
>>>
>>>> I just tried to reproduce the problem - no success.
>>>>
>>>> -- 1.
>>>> running SikuliX: ./SikuliX.app/Contents/Java/sikulix.j...

Read more...

summary: - [1.1.2] Java9: IDE: illegal access operation in
- org.sikuli.ide.CloseableModernTabbedPaneUI
+ [1.1.2] Java9: IDE: Warnings illegal reflective access operation
Changed in sikuli:
status: Opinion → In Progress
importance: Undecided → Medium
summary: - [1.1.2] Java9: IDE: Warnings illegal reflective access operation
+ [1.1.2] Java9: IDE: Warnings illegal reflective access operation ---
+ have to be accepted, not a problem
RaiMan (raimund-hocke) on 2018-02-15
description: updated
description: updated
description: updated
RaiMan (raimund-hocke) on 2018-03-27
Changed in sikuli:
milestone: 1.1.2 → 1.1.3

Im on 10.13.6, java 10. sikuli 1.4 and get this:

WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.python.core.PySystemState (file:/Applications/Gate.app/model.jar) to method java.io.Console.encoding()
WARNING: Please consider reporting this to the maintainers of org.python.core.PySystemState
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release

RaiMan (raimund-hocke) on 2018-08-24
Changed in sikuli:
milestone: 1.1.3 → 1.1.4
summary: - [1.1.2] Java9: IDE: Warnings illegal reflective access operation ---
+ [1.1.4] Java9+: IDE: Warnings illegal reflective access operation ---
have to be accepted, not a problem
summary: [1.1.4] Java9+: IDE: Warnings illegal reflective access operation ---
- have to be accepted, not a problem
+ have to be accepted for now, not a problem
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers